import { MarkerSeries } from "./MarkerSeries";
import { Point, Type } from "igniteui-react-core";
import { PolarAxisInfoCache } from "./PolarAxisInfoCache";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { PolarFrame } from "./PolarFrame";
import { DependencyProperty } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Series } from "./Series";
import { NumericAngleAxis } from "./NumericAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { TrendLineType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { ScatterItemSearchMode } from "./ScatterItemSearchMode";
import { HighlightingInfo } from "./HighlightingInfo";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { PolarAxes } from "./PolarAxes";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { OwnedPoint } from "./OwnedPoint";
import { HashPool$2 } from "igniteui-react-core";
import { MarkerManagerBase } from "./MarkerManagerBase";
import { PolarTrendLineManager } from "./PolarTrendLineManager";
import { AssigningPolarStyleEventArgs } from "./AssigningPolarStyleEventArgs";
import { AssigningPolarMarkerStyleEventArgs } from "./AssigningPolarMarkerStyleEventArgs";
import { AssigningSeriesStyleEventArgsBase } from "./AssigningSeriesStyleEventArgsBase";
import { SeriesRenderManager } from "./SeriesRenderManager";
import { RenderSurface } from "./RenderSurface";
import { IDictionary$2 } from "igniteui-react-core";
import { AssigningSeriesShapeStyleEventArgsBase } from "./AssigningSeriesShapeStyleEventArgsBase";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class PolarBase extends MarkerSeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    p4: PolarBaseView;
    private p5;
    ji(): void;
    protected get_df(): boolean;
    ct(a: List$1<SeriesPointOfInterest>, b: boolean, c: number): boolean;
    constructor();
    private ru;
    private rw;
    private pr;
    p3: PolarAxisInfoCache;
    private su;
    private st;
    qg: SeriesRenderer$2<PolarFrame, PolarBaseView>;
    rf: string;
    rp: string;
    protected qk: IFastItemColumn$1<number>;
    private qi;
    protected ql: IFastItemColumn$1<number>;
    private qj;
    p0: NumericAngleAxis;
    p1: NumericRadiusAxis;
    qz: boolean;
    q9: number;
    qh: TrendLineType;
    so: Brush;
    sn: Brush;
    static readonly r4: DependencyProperty;
    q7: number;
    sq: PenLineCap;
    sp: DoubleCollection;
    ra: number;
    rb: number;
    qq: boolean;
    p8: PolarFrame;
    qa: PolarFrame;
    p7: PolarFrame;
    p2: PolarAxes;
    j2(): void;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected ln(a: Rect, b: Rect): void;
    protected lo(a: Rect, b: Rect): void;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    k4(a: boolean): void;
    private ss;
    ao(a: Axis): AxisRange;
    dq(a: any): boolean;
    gq(a: Point): any;
    f9(a: Point): number;
    e4(a: Point): number;
    protected q3(a: Point): number;
    protected q2(a: Point): number;
    private qr;
    private q0;
    private q6;
    protected q5(a: Point): number;
    protected q4(a: Point): number;
    nt(a: Point, b: boolean, c: boolean): Point;
    ag(): Axis[];
    gt(a: any, b: string): any;
    protected kp(a: any, b: string, c: any, d: any): void;
    private qc;
    qd: ScatterItemSearchMode;
    protected qe(): ScatterItemSearchMode;
    protected get_qu(): boolean;
    protected readonly qu: boolean;
    protected qw(): boolean;
    protected qv(): boolean;
    qf: ScatterItemSearchMode;
    q8: number;
    qp(a: any): boolean;
    qo(a: any): boolean;
    jl(a: boolean, b: SeriesView): void;
    private ps;
    rt(a: PolarFrame, b: number, c: Rect, d: Rect): void;
    rz(a: PolarFrame, b: PolarBaseView): void;
    qt: boolean;
    qs: boolean;
    protected qn: boolean;
    protected qm: boolean;
    protected get_da(): boolean;
    private py;
    private pz;
    protected pw(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected px(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected pv(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    au(a: any, b: Point, c: boolean): HighlightingInfo;
    av(a: any, b: Point, c: boolean): HighlightingInfo;
    assigningPolarStyle: (sender: any, args: AssigningPolarStyleEventArgs) => void;
    assigningPolarMarkerStyle: (sender: any, args: AssigningPolarMarkerStyleEventArgs) => void;
    protected qy(): boolean;
    protected qx(): boolean;
    r3(a: PolarFrame, b: PolarBaseView): void;
    pp(a: number, b: number): any[];
    protected pq(a: number, b: number): any[];
    protected qb: PolarSeriesRenderManager;
    rv(a: PolarBaseView, b: PolarFrame): void;
    protected ry(a: number, b: number, c: boolean): void;
    protected rx(a: number, b: number, c: boolean): void;
    protected r1(a: AssigningPolarStyleEventArgs): void;
    protected r0(a: AssigningPolarMarkerStyleEventArgs): void;
    private rs;
    protected lg(): void;
    p9: PolarFrame;
    k5(a: Rect, b: RenderSurface): void;
    private p6;
    k2(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    r2(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    po(a: HashPool$2<any, Marker>, b: Rect, c: Rect): Point[];
    q1(a: HashPool$2<any, Marker>): List$1<number>;
    sr(a: number): Point;
    protected jv(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarSeriesRenderManager extends SeriesRenderManager {
    static $t: Type;
    protected c(): AssigningSeriesStyleEventArgsBase;
    protected a(): AssigningSeriesShapeStyleEventArgsBase;
    au: AssigningPolarMarkerStyleEventArgs;
    av: AssigningPolarStyleEventArgs;
    aw(a: PolarBase, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    ax(a: Series, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    ay(a: AssigningSeriesStyleEventArgsBase, b: number, c: number, d: boolean): void;
}
/**
 * @hidden
 */
export declare class PolarBaseView extends MarkerSeriesView {
    static $t: Type;
    protected cu: PolarBase;
    ct: MarkerManagerBase;
    constructor(a: PolarBase);
    cv: PolarTrendLineManager;
    as(): void;
    cz(a: (arg1: Marker) => void): void;
    protected cs(): MarkerManagerBase;
    protected c0(a: IDictionary$2<any, OwnedPoint>): void;
    protected cr(): Point[];
    protected cx(): List$1<number>;
    cy(a: Rect, b: Rect, c: Rect, d: Rect): void;
    c1(): void;
    cw: HashPool$2<any, Marker>;
    cf(a: (arg1: Marker) => void): void;
    protected a5(a: RenderingContext, b: boolean): void;
    protected c2(): Rect;
    getDefaultTooltipTemplate(): string;
}
